use warnings;
use strict;
use Test::More;

use POWER::Epoll;

my @exports = qw(
    epoll_create
    epoll_add
    epoll_mod
    epoll_del
    epoll_wait
    EPOLLIN
    EPOLLOUT
    EPOLLPRI
    EPOLLERR
    EPOLLHUP
    EPOLLET
    EPOLLONESHOT
);
my @not_exports
    ;

plan +(@exports + @not_exports)
    ? ( tests       => @exports + @not_exports                  )
    : ( skip_all    => q{This module doesn't export anything}   )
    ;

for my $export (@exports) {
    can_ok( __PACKAGE__, $export );
}

for my $not_export (@not_exports) {
    ok( ! __PACKAGE__->can($not_export) );
}
