#!/usr/bin/perl
use Test::More tests => 7;
use Test::Exception;
use POWER::Epoll;
use Errno;
no warnings 'once';
require "t/init";

use Errno; sub E { no strict 'refs'; local $!=&{"Errno::$_[0]"}; }

open NULL, '> /dev/null' or die $!;
throws_ok {epoll_add($epfd, fileno(NULL), EPOLLET|EPOLLOUT)} qr/epoll_add: ${\E 'EPERM'}/;
ok($!{EPERM}, 'errno = EPERM');

throws_ok {epoll_add($epfd, $epfd, EPOLLET|EPOLLIN)} qr/epoll_add: ${\E 'EINVAL'}/;
ok($!{EINVAL}, 'errno = EINVAL');

